/*
- 1.0
:  
*/
#ifndef _BASEWINDOWCLASS_H_
#define _BASEWINDOWCLASS_H_

#include <windows.h>
#include "ExceptionBase.h"
#include "Errors.h"

/*
    ,     
*/
class BaseWindowClass {
protected:
	WNDCLASS baseWndClass;
	HWND baseHWindow;
	MSG baseMessage;
public:
	//
	BaseWindowClass();
	//
	virtual ~BaseWindowClass();
	
	/*   .
	  :
		hInstance -  
		szTitle -  
		iWidth -  
		iHeight -  
	*/
	bool Create(HINSTANCE hInstance, LPSTR szTitle,
				DWORD iStyle = WS_OVERLAPPEDWINDOW | WS_VISIBLE,
				int iWidth = CW_USEDEFAULT,
				int iHeight = CW_USEDEFAULT);
	// 
	static LRESULT CALLBACK WndProc(HWND hWindow, UINT iMessage,
								WPARAM wParam, LPARAM lParam);
	//     
	void Run();
	//    
	virtual bool MessageHandler(UINT iMessage, WPARAM wParam,
								LPARAM lParam);
	// .     .
	//   .
	virtual void Render() = 0;
};

#endif //_BASEWINDOWCLASS_H_
