/*
- 1.0
:  
*/
#ifndef _XZMESH_H_
#define _XZMESH_H_

#include <d3d9.h>
#include <d3dx9.h>
#include "Errors.h"
#include "ExceptionBase.h"

/*        
 (, , ,  )*/
class XZMesh
{
private:
	//  Direct3D 
	LPDIRECT3DDEVICE9 pD3DDevice;

	//  mesh
	LPD3DXMESH pMesh;
	//   mesh'
	D3DMATERIAL9 *pMaterials;
	//  mesh'
	DWORD matNumber;

	//   mesh     fileName
	void loadMesh(const char *fileName);
public:
	//
	XZMesh(LPDIRECT3DDEVICE9 pD3DDev, const char *fileName);
	//
	virtual ~XZMesh(void);
	//   mesh
	void render();
};

#endif
