/*
- 1.0
:  
*/
#include <windows.h>
#include "XZGame.h"
#include "ExceptionBase.h"
#include "Errors.h"

//   
INT WINAPI WinMain(HINSTANCE hInst, HINSTANCE hPrevInst,
				   LPSTR szCmdLine, INT iCmdShow)
{
	try
	{
		//   
		XZGame game;
		// 
		game.Create(hInst, "- 1.0", WS_OVERLAPPEDWINDOW | WS_VISIBLE,
			640, 480);
		// Direct3D   
		game.initD3DAndGameObjects();
		//      
		game.setMatricesAndRenderStates();
		//   
		game.Run();
	}
	// ,     
	catch(ExceptionBase err)
	{
		MessageBox(NULL, (const char*)err, "", MB_ICONERROR);
	}
	catch(...)
	{
		MessageBox(NULL, " ", "", MB_ICONERROR);
	}
	return 0;
}
